Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.aggregation
Interface IAggregation

All Known Implementing Classes:
  Aggregation

Deprecated. use IAggrFunction instead

    public interface IAggregation

Each instance of IAggregation defines an aggregation which can be used in BIRT. All user defined aggregations should implement this interface.

Field Summary
`static int` | `RUNNING_AGGR` Deprecated.
`static int` | `SUMMARY_AGGR` Deprecated.

Method Summary
`int` | `getDataType()` Deprecated. get the aggregation data type.
`java.lang.String` | `getName()` Deprecated. Gets the name that identifies the aggregate function represented by this class.
`boolean[]` | `getParameterDefn()` Deprecated. Gets information about the parameters that this aggregate function takes as an array of boolean values.
`int` | `getType()` Deprecated. Gets the type of the Aggregation.
`Accumulator` | `newAccumulator()` Deprecated. Creates a new instance of the accumulator for this aggregation.

Field Detail

### SUMMARY_AGGR

    static final int SUMMARY_AGGR

  Deprecated.
  See Also:
    Constant Field Values

### RUNNING_AGGR

    static final int RUNNING_AGGR

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Deprecated.
  Gets the name that identifies the aggregate function represented by this class. For BIRT built-in aggregations, this is the name of the JavaScript function (e.g., "SUM", "AVG", etc).

### getType

    int getType()

  Deprecated.
  Gets the type of the Aggregation. The aggregation can be SUMMARY_AGGR, meaning that only one value is calculated for the whole series of data rows (e.g., the Total.SUM function). Or it can be RUNNING_AGGR, meaning that a value is calculated for each row in the series (e.g., the movingAve function).

  Returns:
    Type of the aggregation. Value can be SUMMARY_AGGR or RUNNING_AGGR

### getDataType

    int getDataType()

  Deprecated.
  get the aggregation data type.

  Returns:

### getParameterDefn

    boolean[] getParameterDefn()

  Deprecated.
  Gets information about the parameters that this aggregate function takes as an array of boolean values.

  The length of the returned array is the number of runtime parameters that this aggregate function takes. Note that this number excludes the optional filter and group parameters common to all aggregate functions. Those two parameters are handled by the DtE.

  If the n'th element in the array is true, it means that the n'th parameter is a dynamic parameter which needs to be evaluated at each row. Otherwise the parameter is static, and it only needs to be evaluated once at the start of the accumulation

  For example, the Total.movingAve function is defined as
  movingAve( expr, window [, filter [, group ]] )
  The expr parameter is the data being aggregated over and should be calculated at every row. The window parameter on the other hand must be a fixed number for each series of data. Therefore the class implementing the movingAve function should return boolean array [true, false].

### newAccumulator

    Accumulator newAccumulator()

  Deprecated.
  Creates a new instance of the accumulator for this aggregation.

  Returns:
    A new instance of the accumulator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.